Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.jmx.builder
[Groovy] Class JmxAttributeInfoManager

    java.lang.Object
      groovy.jmx.builder.JmxAttributeInfoManager

    class JmxAttributeInfoManager

This class is responsible for assembling JMX Attribute Info from the meta map. It cycles through the meta map from the Node and generate JMX Info objects used to expose information in the MBeanServer.

Authors:
  Vladimir Vivien

See Also:
  JmxMetaMapBuilder

Method Summary
`static javax.management.modelmbean.ModelMBeanAttributeInfo` | `getAttributeInfoFromMap(java.util.Map map)` This method builds a single ModelMBeanAttribute info from a given meta data map object.
`static java.util.List` | `getAttributeInfosFromMap(java.util.Map metaMap)` Generates a list of ModelMBeanAttributeInfo from a list meta data Maps.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getAttributeInfoFromMap

    static javax.management.modelmbean.ModelMBeanAttributeInfo getAttributeInfoFromMap(java.util.Map map)

  This method builds a single ModelMBeanAttribute info from a given meta data map object.
  Parameters:
    `map` - the map object containing the meta data
  Returns:
    the generated ModelMBeanAttribute Info object.

### getAttributeInfosFromMap

    static java.util.List getAttributeInfosFromMap(java.util.Map metaMap)

  Generates a list of ModelMBeanAttributeInfo from a list meta data Maps.
  Parameters:
    `metaMap` - list of meta data maps
  Returns:
    ModelMBeanAttributeInfo

Groovy Documentation